<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:frmwrk="Corel Framework Data">
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>

<!-- Use these elements for the framework to move the container from the app config file to the user config file -->
<!-- Since these elements use the frmwrk name space, they will not be executed when the XSLT is applied to the user config file -->
<frmwrk:uiconfig>
<!-- The Application Info should always be the topmost frmwrk element -->
<frmwrk:applicationInfo userConfiguration="true" />
</frmwrk:uiconfig>

<!-- Copy everything -->
<xsl:template match="node()|@*">
	<xsl:copy>
	<xsl:apply-templates select="node()|@*"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="uiConfig/items">
	<xsl:copy>
	<xsl:apply-templates select="node()|@*"/>
	<itemData guid="0b17e31c-3cf7-7f89-48ec-bceeab6e06a0" dynamicCommand="TextDocker.TextDockerMacros.ShowTextDocker" dynamicCategory="2cc24a3e-fe24-4708-9a74-9c75406eebcd" bmpCol="8" bmpRow="1009" userCaption="Text Formatting"/>
		<!-- Find Combo Box --> 
		<itemData guid="7c7d8931-de35-e54a-9948-8d1fe235f5c0" bmpRow="0" bmpCol="0" 
			type="comboBox"
			items="*Bind(DataSource=WFindReplaceTextDialogDS;Path=FindWordList)"
			currentItem="*Bind(DataSource=WFindReplaceTextDialogDS;Path=FindWord;BindType=TwoWay)"
			selectionRange="*Bind(DataSource=WFindReplaceTextDialogDS;Path=FindStringIndex;BindType=TwoWay)"
			length= "170"
			editable="true"/>
			
		<!--  Replace Combo Box -->
		<itemData guid="77bfa8ef-8690-db40-926c-aa1302243401" bmpRow="0" bmpCol="0" 
			type="comboBox"
			items="*Bind(DataSource=WFindReplaceTextDialogDS;Path=ReplaceWordList)"
			currentItem="*Bind(DataSource=WFindReplaceTextDialogDS;Path=ReplaceWord;BindType=TwoWay)"
			selectionRange="*Bind(DataSource=WFindReplaceTextDialogDS;Path=ReplaceStringIndex;BindType=TwoWay)"
			length= "170"
			editable="true"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="uiConfig/dockers">
<xsl:copy>
<xsl:apply-templates select="node()|@*"/>

	<!-- Docker -->
	<dockerData guid="a3b47b82-a47a-ffa8-4787-811ecd91b4f7" bmpRow="1009" bmpCol="8" userCaption="Text Formatting">
	<container>

	<!-- -->
		<container dock="top" margin="2,2,2,4" showGridlines="true">
			<item guidRef="9f68d8b2-92a1-4165-8b90-5cd380bfd319"/>
			<item guidRef="11acb7c1-3a92-4bc0-bbeb-6ab1e29f2f12"/>
			<item guidRef="ed641ec9-27e4-46ea-b5ce-77778a163506"/>
			<item guidRef="4349fb4c-7e3b-4f07-a820-203a56950820"/>
			<item guidRef="266435b4-6e53-460f-9fa7-f45be187d400"/>
			<item guidRef="d14b05d4-c787-4b98-b5d0-c31de84698d5"/>
			<item guidRef="b2d28538-9f82-417d-828d-28483a194fe5"/>
		</container>

		<container dock="top" vertScrollable="true">

		<!--FontListLangCat-->
		<item dock="top" margin="2,2,2,4" guidRef="8c44ae8b-e3b2-4172-87cb-8596db961878"/>

		<container dock="top" margin="2">
		<!--FontSizeLangCat-->
		<item dock="left" guidRef="45c3fcf9-5188-4424-b907-3a5d5e993a11"/>
		<item dock="right" guidRef="737e9389-4ee6-478d-832a-5480286fd3cb"/>
		<item dock="right" guidRef="28412176-d82a-4042-99bd-ab04c7903a2d"/>
		</container>

		<!-- -->
		<container dock="top" margin="2,2,2,4" showGridlines="true">
		<!-- Bold/It -->
		<item guidRef="bbf8b8dd-c335-4e9a-8387-22b07d916e0e"/>
		<item guidRef="a2e29751-4285-4a49-8cf5-a180a09950e2"/>
		<!--Underline Toggle-->
		<item guidRef="4e23866f-d86f-45f8-9afd-6b84bb7cdc9a"/>
		<item guidRef="4e8f6778-1e80-4ac0-9a2c-86f4bec01dd7"/>
		<item guidRef="fb439ed7-cad2-4cdb-a9f6-4a506c6766c0"/>
		<item guidRef="0e3eb2f9-7f5d-4033-bffd-ce71e5120b42"/>
		</container>
		
		<!-- -->
		<container dock="top" margin="2,2,2,2" showGridlines="true">
		<item guidRef="ecda8c51-d340-4a6d-a86b-c85e2bdabf36"/>
		<item guidRef="e1b67386-f0f9-413b-82a7-bbe484073c55"/>
		<item guidRef="9388e24a-b4ab-4021-85fe-9e1a0d188a85"/>
		<item guidRef="855a3600-c851-4fa1-8ac6-4282fbb74265"/>
		<item guidRef="d5669070-c0f3-4fc0-b524-e33aeea7925f"/>
		<item guidRef="bf3bd8fe-ca26-4fe0-91b0-3b5c99786fb6"/>
		</container>
		
		<!--Spacing-->
		<container dock="top" margin="2,4,2,4">
		<!-- Labels -->
		<item dock="fill" guidRef="7ff91685-bc3d-4d19-81a7-72907f7d8e0b" itemFace="textOnly"/>
		<!--RangeKern-->
		<item dock="right" guidRef="00ea6756-2e8e-45a0-b972-5fc51e4ac9de"/>
		</container>
		
		<!--Spacing-->
		<container dock="top" margin="2" headerStyle="collapsable" showGridlines="true" captionRef="ed38413e-231a-4612-b8db-b92f519500f2">

		<!--Paragraph and Line (Vertical Spacing)-->
		<container dock="top" headerStyle="none" showGridlines="true">
		<item dock="top" guidRef="2497fdec-8b6c-4e55-b4f5-6a874ba3323a"/>

		<!--VertSpacingUnits-->
		<item dock="top" guidRef="70758e9f-91f3-4d63-a187-a8b3e61a58a6"/>

		<!-- Labels -->
		<container dock="fill" backgroundColour="list">
		<item guidRef="6891b0ea-6abe-4496-b3aa-5488926028ac" itemFace="textOnly"/>
		<item guidRef="629d9488-c51a-41d1-a75c-979930bb985e" itemFace="textOnly"/>
		<item guidRef="ef0d6c6a-ccc5-4449-b4a3-682fa32ed501" itemFace="textOnly"/>
		</container>

		<!-- Controls -->
		<container dock="right">
		<!--SpacingBeforePara-->
		<item guidRef="c11581e9-0bd3-4f2b-9b5a-82bde6fe8d32"/>
		<!--SpacingAfterPara-->
		<item guidRef="340401db-2261-4144-8033-d7e4e863ab2c"/>
		<!--SpacingInterLine-->
		<item guidRef="d19b1067-8c84-4d99-97fb-4a70620a6ad4"/>
		</container>
		</container>

		<!--Language, Character and Word (Horizontal Spacing)-->
		<container dock="top" headerStyle="none" showGridlines="true">
			<item dock="top" guidRef="2ee917f0-4206-472f-9154-83c337d62f7c"/>

		<!-- Labels -->
		<container dock="fill" backgroundColour="list">
			<item guidRef="26905d02-7d35-4570-9984-75e7edac960d" itemFace="textOnly"/>
			<item guidRef="b94838a8-346b-4c6e-9d83-a72e852ddd38" itemFace="textOnly"/>
			<item guidRef="27966dd3-1a21-4e49-afca-48da7ddf79eb" itemFace="textOnly"/>
		</container>

		<!-- Controls -->
		<container dock="right">
			<!--SpacingInterLang-->
			<item guidRef="cd77aa9d-e554-4df3-82d7-3d5a7589147e"/>
			<!--SpacingInterChar-->
			<item guidRef="60a533b6-4b76-4905-80e7-d9741c5fd829"/>
			<!--SpacingInterWord-->
			<item guidRef="00bb003f-0e0a-40b2-bd7d-75881b76acc8"/>
		</container>
		</container>
		</container>

        <!--Indents-->
            <container dock="top" margin="2" headerStyle="collapsable" collapsed="true" showGridlines="true" captionRef="c0ae7220-b308-438e-aeac-256e4dd663bf">
              <!-- Labels -->
              <container dock="fill" backgroundColour="list">
                <item guidRef="8ea59cb4-d2f0-4440-89f0-9d74ede9b740" itemFace="textOnly"/>
                <item guidRef="19cfcc6f-f04d-4990-95a5-22bbd09b030f" itemFace="textOnly"/>
                <item guidRef="7d008db5-fad3-45eb-afa0-050f5b2da521" itemFace="textOnly"/>
              </container>

              <container dock="right">
                <!--FirstLineIndent-->
                <item guidRef="fe1186e0-5343-4094-9757-0c1178f6b789"/>
                <!--LeftLineIndent-->
                <item guidRef="07d3af98-0be2-4142-a354-9ac2f3bc51b3"/>
                <!--RightLineIndent-->
                <item guidRef="cf422d2f-ee00-4ee8-a327-50505a8bf0f9"/>
              </container>
            </container>
		
		<!--Character Effects-->
            <container dock="top" margin="2" showGridlines="true" collapsed="true" captionRef="78cc5dd0-69c5-4fb6-be76-ec3ef9e4b47a" headerStyle="collapsable">
              <!-- Labels -->
              <container dock="left" backgroundColour="list">
                <item guidRef="04015cf6-2e8f-4521-9fb7-f9f157688a72" itemFace="textOnly"/>
                <item guidRef="6969332d-5542-4124-bbe9-a1b8dd98a8cf" itemFace="textOnly"/>
                <item guidRef="84dfce33-8401-4616-9daf-c37acdd12fa8" itemFace="textOnly"/>
                <item guidRef="74505eab-a855-4889-a4db-a4395ec9ce60" itemFace="textOnly"/>
                <item guidRef="4389a3ba-dbe7-42dd-9581-b75862399887" itemFace="textOnly"/>
              </container>

              <container dock="fill">
                <!--UnderLineTypeLangCat-->
                <item guidRef="0a8e66be-66dd-4255-ae19-67bfaf6a8c82"/>
                <!--StrikeOutTypeLangCat-->
                <item guidRef="6b344679-e027-4e92-abf0-6ef94b2d9180"/>
                <!--OverLineTypeLangCat-->
                <item guidRef="1efb643b-8f9c-4b99-b027-89fd5cfdbd9f"/>
                <!--UpperCaseTypeLangCat-->
                <item guidRef="85119b8d-906c-4542-88ad-80bf326df47e"/>
                <!--PositionTypeLangCat-->
                <item guidRef="0d7c8171-74b1-439c-9a59-b8a64e9bfdf3"/>
              </container>
            </container>
            
       <!--Character Shift-->
            <container dock="top" margin="2" showGridlines="true" collapsed="true" captionRef="437783d5-b475-4139-84dc-696053638692" headerStyle="collapsable">
              <!-- Labels -->
              <container dock="fill" backgroundColour="list">
                <item guidRef="f14b2b1f-2ac2-4655-b806-7e9c17174fa9" itemFace="textOnly"/>
                <item guidRef="f876dff3-22d9-4f28-83ab-64a905c1a8cb" itemFace="textOnly"/>
                <item guidRef="0b68ffa7-fe61-4f02-b2c9-d8bcd8082802" itemFace="textOnly"/>
              </container>

              <container dock="right">
                <!--CharAngle-->
                <item guidRef="4ac1bf22-b86f-4ee4-b520-5420d4c468d1"/>
                <!--CharShiftH-->
                <item guidRef="6c424d40-dabd-46fd-a6fe-d74d869794f6"/>
                <!--CharShiftV-->
                <item guidRef="12c95c15-a13a-448a-8912-29230dfa25f3"/>
              </container>
            </container>

            <container dock="top" margin="2,6,6,0">
              <!-- Labels -->
              <item dock="left" margin="-1" guidRef="a5de15f1-8b32-4f94-82d6-9dc8d81c654a" itemFace="textOnly"/>
              <!--LanguageCategory-->
              <item dock="right" guidRef="0da20d21-1754-4b04-94c4-d49b98f6e1bc"/>
            </container>
            
        
        <!-- Separator -->
		<item dock="top" margin="6,6,-1,6" guidRef="266435b4-6e53-460f-9fa7-f45be187d400"/>

		<!-- find/replice SanM -->
		<container dock="top" margin="2,2,2,2">
		<!-- find Combo box -->
		<container dock="top">
		<item dock="fill" margin="0" guidRef="7c7d8931-de35-e54a-9948-8d1fe235f5c0"/>
		<container dock="right">
		<item dock="right" margin="1" guidRef="64c4a04e-c6f8-4ea0-95d2-12ea9dc75af8" itemFace="textOnly"/> <!--menu-->
		</container>
		</container>

		<!-- Replace text-->
		<container dock="top">
		<item dock="fill" margin="0" guidRef="77bfa8ef-8690-db40-926c-aa1302243401"/>
		<container dock="right">
		<item dock="right" margin="1" guidRef="7ccfb1e3-2a7a-438e-aaae-030c4c9a8b0b" itemFace="textOnly"/> <!--menu-->
		</container>
		</container>
		<!-- check box -->
		<container dock="top">
		<item dock="fill" margin="4,0,0,0" guidRef="7b81f991-4656-49ca-814d-0fd4f8c62fc4"/>
		</container>
		<container dock="top">
		<item dock="fill" margin="4,0,0,0" guidRef="50d2967c-fea2-4140-8c0f-9a0a02cc88f5"/>
		</container>

		<!-- Find and replace buttons -->
		<container dock="left">
		<item dock="left" guidRef="9a98cc7d-dddb-4f33-a488-1faf18e2b50a"/>
		<item dock="right" guidRef="6ede3dfa-d472-4653-9d77-cb13731336d9"/>
		</container>
		</container>
            
        <!-- Separator -->
		<item dock="top" margin="6,6,-1,6" guidRef="266435b4-6e53-460f-9fa7-f45be187d400"/>

		<!-- Space -->
		<container dock="top" margin="2,2,2,2">
		<container dock="top" captionRef="2e04ca4d-c411-49a3-9b70-d9de2a4aa1fa">
		<!--MaxWord, MinWord and MaxChar-->
		<container dock="top">
		<item margin="0,2,2,2" guidRef="c5242813-a535-4694-8557-dad40f1033ee"/>
		<item margin="2,2,2,2" guidRef="1533d5d2-caac-4128-a352-0f32b975d6e4"/>
		</container>
		<container dock="top">
		<item margin="0,0,2,2" guidRef="d17e2a0f-9305-4971-b355-b6bf16e7d703"/>
		</container>
		</container>
		</container>

</container>
</container>
</dockerData>
</xsl:copy>
</xsl:template>
</xsl:stylesheet>