<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:frmwrk="Corel Framework Data">
  <xsl:output method="xml" encoding="UTF-8" indent="yes"/>

  <!-- Use these elements for the framework to move the container from the app config file to the user config file -->
  <!-- Since these elements use the frmwrk name space, they will not be executed when the XSLT is applied to the user config file -->
  <frmwrk:uiconfig>
    <!-- The Application Info should always be the topmost frmwrk element -->
    <frmwrk:applicationInfo name="CorelDRAW" framework="CorelDRAW" version="14" userConfiguration="true" />
    <frmwrk:compositeNode xPath="/uiConfig/commandBars/commandBarData[@guid='52433451-c803-47a2-9855-83a9f5e902c5']"/>
    <frmwrk:compositeNode xPath="/uiConfig/frame"/>
  </frmwrk:uiconfig>

  <!-- Copy everything -->
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>

  <!-- Add the Text formatting item to the text menu -->
  <xsl:template match="uiConfig/commandBars/commandBarData[@guid='52433451-c803-47a2-9855-83a9f5e902c5']/container/item[@guidRef='40a7df5d-a98c-4d61-b3b6-020e603ee3a9']">
    <item guidRef="0b17e31c-3cf7-7f89-48ec-bceeab6e06a0"/>
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>

  <!-- Add the text docker -->
  <xsl:template match="dockSheet[@guidRef='6884106d-f37e-4712-986d-b2fe7e31ecdf']">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
      <dockPage guidRef="a3b47b82-a47a-ffa8-4787-811ecd91b4f7" visible="true"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
